Batch archive properties
curl --request POST \
--url 'https://api.hubapi.com/media-bridge/2026-09/{appId}/properties/{objectType}/batch/archive?hapikey=' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"name": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/media-bridge/2026-09/{appId}/properties/{objectType}/batch/archive?hapikey="
payload = { "inputs": [{ "name": "<string>" }] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{name: '<string>'}]})
};
fetch('https://api.hubapi.com/media-bridge/2026-09/{appId}/properties/{objectType}/batch/archive?hapikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/media-bridge/2026-09/{appId}/properties/{objectType}/batch/archive?hapikey=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'inputs' => [
[
'name' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/media-bridge/2026-09/{appId}/properties/{objectType}/batch/archive?hapikey="
payload := strings.NewReader("{\n \"inputs\": [\n {\n \"name\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/media-bridge/2026-09/{appId}/properties/{objectType}/batch/archive?hapikey=")
.header("Content-Type", "application/json")
.body("{\n \"inputs\": [\n {\n \"name\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/media-bridge/2026-09/{appId}/properties/{objectType}/batch/archive?hapikey=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"inputs\": [\n {\n \"name\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Batch
Batch archive properties
Archive multiple properties for a specified object type within a given app. This endpoint is useful for managing large sets of properties that are no longer needed or should be hidden from active use. It requires specifying the app ID and object type in the path parameters.
POST
/
media-bridge
/
2026-09
/
{appId}
/
properties
/
{objectType}
/
batch
/
archive
Batch archive properties
curl --request POST \
--url 'https://api.hubapi.com/media-bridge/2026-09/{appId}/properties/{objectType}/batch/archive?hapikey=' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"name": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/media-bridge/2026-09/{appId}/properties/{objectType}/batch/archive?hapikey="
payload = { "inputs": [{ "name": "<string>" }] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{name: '<string>'}]})
};
fetch('https://api.hubapi.com/media-bridge/2026-09/{appId}/properties/{objectType}/batch/archive?hapikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/media-bridge/2026-09/{appId}/properties/{objectType}/batch/archive?hapikey=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'inputs' => [
[
'name' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/media-bridge/2026-09/{appId}/properties/{objectType}/batch/archive?hapikey="
payload := strings.NewReader("{\n \"inputs\": [\n {\n \"name\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/media-bridge/2026-09/{appId}/properties/{objectType}/batch/archive?hapikey=")
.header("Content-Type", "application/json")
.body("{\n \"inputs\": [\n {\n \"name\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/media-bridge/2026-09/{appId}/properties/{objectType}/batch/archive?hapikey=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"inputs\": [\n {\n \"name\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
Path Parameters
The unique identifier of the app associated with the properties to be archived.
The type of object whose properties are being archived.
Body
application/json
An array of property names to be processed in the batch operation. Each item in the array is expected to be a string representing a property name.
Show child attributes
Show child attributes
Response
No content
Last modified on September 9, 2026
Was this page helpful?